#include "color.h"
#include "computerrnd.h"
using namespace std;

Move ComputerRnd::askForMove(const Board& board)
{
   for (;;)
   {
      int col = dist(engine);
      int row = dist(engine);
      if (board.isFree(col, row))
      {
         return { col, row, getColor() };
      }
   }
}
